Contacts
Create contact inbox
Create a contact inbox record for an inbox
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
{id}
/
contact_inboxes
Create contact inbox
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inbox_id": 1,
"source_id": "<string>"
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes"
payload = {
"inbox_id": 1,
"source_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inbox_id: 1, source_id: '<string>'})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
ID of the contact
Body
application/json
⌘I
Create contact inbox

